StringEqualTo Class Reference

Public class that encapsulates generic string equal_to functor. More...

`#include <GenString.h>`

Inheritance diagram for StringEqualTo:
Collaboration diagram for StringEqualTo:

## Public Member Functions

| StringEqualTo (Char::eCompareType compareType=Char::eCASE_SENSITIVE)
StringEqualTo & | operator= (const StringEqualTo &in)
bool | operator() (const std::string &s1, const std::string &s2) const
Char::eCompareType | GetCompareType ()

## Detailed Description

Public class that encapsulates generic string equal_to functor.

This class is equal_to functor for generic strings. It supports the following compare types: case-sensitive, case-insensitive and as-integer.

## Constructor & Destructor Documentation

## StringEqualTo()

StringEqualTo::StringEqualTo | ( | Char::eCompareType | compareType = Char::eCASE_SENSITIVE | ) |

References Char::eCASE_SENSITIVE.

Referenced by operator=().

## Member Function Documentation

## GetCompareType()

Char::eCompareType StringEqualTo::GetCompareType | ( |  | ) |

inline

## operator()()

bool StringEqualTo::operator() | ( | const std::string & | s1,
|  | const std::string & | s2 ) const

## operator=()

StringEqualTo & StringEqualTo::operator= | ( | const StringEqualTo & | in | ) |

References StringEqualTo().

The documentation for this class was generated from the following file:

- rcsb/GenString.h